# Obsolete Members for ContentItem

The following members of QML type ContentItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- bool move(dir, fileName)`(obsolete)`
- bool move(dir)`(obsolete)`

## Method Documentation

bool move(dir, fileName)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

If the url is a local file, move the file to dir and rename to fileName

If the move is successful, the url property will be changed and onUrlChanged will be emitted.

Returns true if the file was moved successfully, false on error or if the url wasn't a local file. Use copy(dir, fileName) instead.

bool move(dir)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

If the url is a local file, move the file to dir

If the move is successful, the url property will be changed and onUrlChanged will be emitted.

Returns true if the file was moved successfully, false on error or if the url wasn't a local file. Use copy(dir) instead.